## plasma-bigscreen 5.27.5

=== CMakeLists.txt ===
# Set minimum CMake version (required for CMake 3.0 or later)
cmake_minimum_required(VERSION 3.16)
cmake_policy(SET CMP0048 NEW)
project(plasma-bigscreen)
set(PROJECT_VERSION "5.27.5")
set(PROJECT_VERSION_MAJOR 5)

set(QT_MIN_VERSION "5.15.2")
set(KF5_MIN_VERSION "5.102.0")
 
# Use Extra CMake Modules (ECM) for common functionality.
# See http://api.kde.org/ecm/manual/ecm.7.html
# and http://api.kde.org/ecm/manual/ecm-kde-modules.7.html 
find_package(ECM REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_MODULE_PATH})
set(VERSION 2.1.0)

include(ECMFindQmlModule)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMDeprecationSettings)

# Locate plasma_install_package macro.
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Activities
    ActivitiesStats
    Plasma
    I18n
    Kirigami2
    Declarative
    KCMUtils
    Notifications
    PlasmaQuick
    KIO
    Wayland
    WindowSystem
)

find_package(LibKWorkspace 5.19 CONFIG REQUIRED)


find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Quick
    Core
    Qml
    DBus
    Network
    Multimedia
)

ecm_find_qmlmodule(Mycroft 1.0)

if(NOT ${Mycroft-QMLModule_FOUND})
    message(WARNING "Could not find the Mycroft QML module. Voice interaction features will not be available.")
endif()

ecm_set_disabled_deprecation_versions(QT 5.15.2
    KF 5.101
)


add_subdirectory(bin)
add_subdirectory(containments)
add_subdirectory(kcms)
add_subdirectory(components)
add_subdirectory(sounds)

plasma_install_package(shell org.kde.plasma.mycroft.bigscreen shells)
plasma_install_package(lookandfeel org.kde.plasma.mycroft.bigscreen look-and-feel lookandfeel)


install(FILES bin/mycroft-skill-launcher.py DESTINATION ${KDE_INSTALL_BINDIR})
install(FILES org.kde.plasma.mycroft.bigscreen.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

include(KDEClangFormat)
include(KDEGitCommitHooks)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

ki18n_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== kcms/audio-device-chooser/CMakeLists.txt ===
include(ECMFindQmlModule)

ecm_find_qmlmodule(org.kde.plasma.core 2.0)

# KI18N Translation Domain for this library.
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_mediacenter_audiodevice\")

########### next target ###############

set(kcm_mediacenter_audiodevice_PART_SRCS audiodevice.cpp)

add_library(kcm_mediacenter_audiodevice MODULE ${kcm_mediacenter_audiodevice_PART_SRCS})

target_link_libraries(kcm_mediacenter_audiodevice
    KF5::I18n
    KF5::KCMUtils
    KF5::QuickAddons
)

########### install files ###############

install(TARGETS kcm_mediacenter_audiodevice DESTINATION ${KDE_INSTALL_PLUGINDIR}/kcms)
kpackage_install_package(package kcm_mediacenter_audiodevice kcms)

## plasma-bigscreen 5.27.3

=== debian/changelog ===
plasma-bigscreen (5.27.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Mar 2023 15:19:07 +0000

plasma-bigscreen (5.27.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Feb 2023 16:23:52 +0000

plasma-bigscreen (5.27.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 25 Feb 2023 18:47:34 +0000

plasma-bigscreen (5.27.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Feb 2023 13:41:36 +0000

plasma-bigscreen (5.26.90-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (5.26.90)
  * Update rename_python_script_to_drop_extension.patch

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Feb 2023 13:30:31 +0000

plasma-bigscreen (5.26.5-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.5)
  * Drop runtime depend on non-existent plasma-settings package.

 -- Rik Mills <rikmills@kde.org>  Sun, 22 Jan 2023 19:21:34 +0000

plasma-bigscreen (5.26.4-1) unstable; urgency=medium

  [ Scarlett Moore ]
  * New upstream release. ( 5.26.4 ) Closes: #1026901
  * Update Copyright file 2022.
  * Add upstream metadata.
  * Change maintainer to Qt/KDE group and add myself as uploader.
  * Update VCS entries.
  * Enhance Description.
  * Add hardening=+all to build flags in rules.
  * Bump standards version (4.6.1), no changes needed.
  * Add patch to rename python script to drop extension.
  * Export minimal gpg signing-key asc file.
  * Add runtime dependency for python3.
  * Release to unstable.

 -- Scarlett Moore <sgmoore@debian.org>  Tue, 27 Dec 2022 09:03:49 -0700

plasma-bigscreen (5.26.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 29 Nov 2022 13:52:44 +0000

plasma-bigscreen (5.26.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 26 Oct 2022 11:50:47 +0000

plasma-bigscreen (5.26.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 21 Oct 2022 14:30:43 +0000

plasma-bigscreen (5.26.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 09 Oct 2022 10:06:44 +0000

plasma-bigscreen (5.25.80-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 03 May 2022 12:26:01 +0000

=== debian/control ===
Source: plasma-bigscreen
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@debian.org>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules,
               kirigami2-dev (>= 5.94~),
               libkf5activities-dev (>= 5.94~),
               libkf5activitiesstats-dev (>= 5.94~),
               libkf5declarative-dev (>= 5.94~),
               libkf5i18n-dev (>= 5.94~),
               libkf5kcmutils-dev (>= 5.94~),
               libkf5kio-dev (>= 5.94~),
               libkf5notifications-dev (>= 5.94~),
               libkf5plasma-dev (>= 5.94~),
               libkf5wayland-dev (>= 4:5.94~),
               libkf5windowsystem-dev (>= 5.94~),
               pkg-kde-tools (>= 0.15.16),
               plasma-framework,
               plasma-workspace-dev (>= 4:5.27.3~),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qtmultimedia5-dev (>= 5.15.2~),
Standards-Version: 4.6.1
Homepage: https://invent.kde.org/plasma/plasma-bigscreen
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-bigscreen
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-bigscreen
Rules-Requires-Root: no

Package: plasma-bigscreen
Architecture: any
Depends: plasma-framework,
         plasma-nano,
         plasma-nm,
         python3,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Plasma Bigscreen for TVs
 A big launcher giving you easy access to any installed apps and skills.
 Controllable via voice or TV remote.
 This project is using various open-source components like Plasma Bigscreen,
 Mycroft AI and libcec.
 .
 Voice Control
 Bigscreen supports Mycroft AI, a free and open-source voice assistant that
 can be run completely decentralized on your own server.
 .
 Remote control your TV via CEC
 Consumer Electronics Control is a standard to control devices over HDMI.
 Use your normal TV remote control, or a RC with built-in microphone for
 voice control and optional mouse simulation.
 .
 Coming soon:
 Voice apps
 Download new apps (aka skills) for your Bigscreen or add your own ones
 for others to enjoy.

## plasma-bigscreen 5.27.4

=== debian/changelog ===
plasma-bigscreen (5.27.4-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.4)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Apr 2023 09:38:37 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libkf5windowsystem-dev (>= 5.94~),
                pkg-kde-tools (>= 0.15.16),
                plasma-framework,
-               plasma-workspace-dev (>= 4:5.27.3~),
+               plasma-workspace-dev (>= 4:5.27.4~),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
                qtmultimedia5-dev (>= 5.15.2~),

## plasma-bigscreen 5.27.5

=== debian/changelog ===
plasma-bigscreen (5.27.5-2) unstable; urgency=medium

  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 27 May 2023 18:23:47 +0200

plasma-bigscreen (5.27.5-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.5).

 -- Patrick Franz <deltaone@debian.org>  Tue, 09 May 2023 23:29:20 +0200

plasma-bigscreen (5.27.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.3).
  * Add myself to Uploaders.

 -- Patrick Franz <deltaone@debian.org>  Wed, 22 Mar 2023 23:20:22 +0100

plasma-bigscreen (5.27.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.27.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Feb 2023 15:01:37 +0100

plasma-bigscreen (5.27.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.27.1).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 26 Feb 2023 21:54:19 +0100

plasma-bigscreen (5.26.90-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.90).
  * Update build-deps and deps with the info from cmake.
  * Added myself to the uploaders.
  * Refresh patch rename_python_script_to_drop_extension.patch.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 24 Jan 2023 00:21:27 +0100

plasma-bigscreen (5.26.4-2) unstable; urgency=medium


  [ Scarlett Moore ]
  * Change plasma-settings to plasma-workspace as plasma-settings
    is aimed for plasma-mobile.
  * Release to unstable.

 -- Scarlett Moore <sgmoore@debian.org>  Sat, 21 Jan 2023 07:28:00 -0700

=== debian/control ===
Source: plasma-bigscreen
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Scarlett Moore <sgmoore@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules,
               kirigami2-dev (>= 5.102.0~),
               libkf5activities-dev (>= 5.102.0~),
               libkf5activitiesstats-dev (>= 5.102.0~),
               libkf5declarative-dev (>= 5.102.0~),
               libkf5i18n-dev (>= 5.102.0~),
               libkf5kcmutils-dev (>= 5.102.0~),
               libkf5kio-dev (>= 5.102.0~),
               libkf5notifications-dev (>= 5.102.0~),
               libkf5plasma-dev (>= 5.102.0~),
               libkf5wayland-dev (>= 4:5.102.0~),
               libkf5windowsystem-dev (>= 5.102.0~),
               pkg-kde-tools (>= 0.15.16),
               plasma-framework,
               plasma-workspace-dev (>= 4:5.27.5~),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qtmultimedia5-dev (>= 5.15.2~),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma/plasma-bigscreen
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-bigscreen
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-bigscreen.git
Rules-Requires-Root: no

Package: plasma-bigscreen
Architecture: any
Depends: plasma-framework,
         plasma-nano,
         plasma-nm,
         plasma-workspace,
         python3,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Plasma Bigscreen for TVs
 A big launcher giving you easy access to any installed apps and skills.
 Controllable via voice or TV remote.
 This project is using various open-source components like Plasma Bigscreen,
 Mycroft AI and libcec.
 .
 Voice Control
 Bigscreen supports Mycroft AI, a free and open-source voice assistant that
 can be run completely decentralized on your own server.
 .
 Remote control your TV via CEC
 Consumer Electronics Control is a standard to control devices over HDMI.
 Use your normal TV remote control, or a RC with built-in microphone for
 voice control and optional mouse simulation.
 .
 Coming soon:
 Voice apps
 Download new apps (aka skills) for your Bigscreen or add your own ones
 for others to enjoy.

## plasma-bigscreen 5.27.8

=== debian/changelog ===
plasma-bigscreen (5.27.8-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.8)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Sep 2023 12:31:13 +0100

plasma-bigscreen (5.27.7-1ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Mon, 11 Sep 2023 11:36:25 +0100

plasma-bigscreen (5.27.7-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.7).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Aug 2023 18:55:25 +0200

plasma-bigscreen (5.27.7-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.7)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Aug 2023 17:15:27 +0100

plasma-bigscreen (5.27.6-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.6)

 -- Rik Mills <rikmills@kde.org>  Tue, 20 Jun 2023 17:36:59 +0100

plasma-bigscreen (5.27.5-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.5)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 May 2023 05:15:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: plasma-bigscreen
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Scarlett Moore <sgmoore@debian.org>,
            Patrick Franz <deltaone@debian.org>,
@@ -21,14 +22,14 @@
                libkf5windowsystem-dev (>= 5.102.0~),
                pkg-kde-tools (>= 0.15.16),
                plasma-framework,
-               plasma-workspace-dev (>= 4:5.27.5~),
+               plasma-workspace-dev (>= 4:5.27.8~),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
                qtmultimedia5-dev (>= 5.15.2~),
 Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/plasma/plasma-bigscreen
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-bigscreen
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-bigscreen.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-bigscreen
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-bigscreen
 Rules-Requires-Root: no
 
 Package: plasma-bigscreen

## plasma-bigscreen 5.27.10

=== debian/changelog ===
plasma-bigscreen (5.27.10-1ubuntu1) noble; urgency=low

  [ Ubuntu Merge-o-Matic ]
  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

  [ Scarlett Moore ]
  * Release to archive.

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 21 Feb 2024 04:00:56 -0700

plasma-bigscreen (5.27.10-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.10).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 11 Jan 2024 23:28:16 +0100

plasma-bigscreen (5.27.10-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.10)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 11 Dec 2023 11:22:12 +0000

plasma-bigscreen (5.27.9-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.9).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Fri, 27 Oct 2023 21:55:12 +0200

plasma-bigscreen (5.27.9-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.9)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:19:26 +0100

plasma-bigscreen (5.27.8-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.8).

 -- Patrick Franz <deltaone@debian.org>  Wed, 13 Sep 2023 22:31:38 +0200

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                libkf5windowsystem-dev (>= 5.102.0~),
                pkg-kde-tools (>= 0.15.16),
                plasma-framework,
-               plasma-workspace-dev (>= 4:5.27.8~),
+               plasma-workspace-dev (>= 4:5.27.10~),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
                qtmultimedia5-dev (>= 5.15.2~),

## plasma-bigscreen 5.27.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 cmake_minimum_required(VERSION 3.16)
 cmake_policy(SET CMP0048 NEW)
 project(plasma-bigscreen)
-set(PROJECT_VERSION "5.27.5")
+set(PROJECT_VERSION "5.27.11")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(QT_MIN_VERSION "5.15.2")

=== components/CMakeLists.txt ===
project(bigscreen)

set(bigscreen_SRCS
    envreader.cpp
    bigscreenplugin.cpp
    bigscreenplugin_dbus.cpp
    )

add_library(bigscreenplugin SHARED ${bigscreen_SRCS})
target_link_libraries(bigscreenplugin Qt::Core Qt::Qml Qt::Quick Qt::DBus)

install(TARGETS bigscreenplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/mycroft/bigscreen)

install(FILES qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/mycroft/bigscreen)

install(DIRECTORY qml/ DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/mycroft/bigscreen)

=== kcms/CMakeLists.txt ===
add_subdirectory(audio-device-chooser)
add_subdirectory(plasma-settings-shell)
add_subdirectory(wifi)
add_subdirectory(kdeconnect)
add_subdirectory(bigscreen-settings)

=== kcms/bigscreen-settings/CMakeLists.txt ===
set(bigscreensettings_SRCS
    bigscreensettings.cpp
    themelistmodel.cpp
    timedated_interface.cpp
)

add_library(kcm_mediacenter_bigscreen_settings MODULE ${bigscreensettings_SRCS})

target_link_libraries(kcm_mediacenter_bigscreen_settings
    Qt::DBus
    Qt::Gui
    Qt::Quick
    Qt::Qml
    KF5::ConfigCore
    KF5::Plasma
    KF5::I18n
    KF5::KCMUtils
    KF5::QuickAddons
    KF5::CoreAddons
    )

install(TARGETS kcm_mediacenter_bigscreen_settings DESTINATION ${KDE_INSTALL_PLUGINDIR}/kcms)
kpackage_install_package(package kcm_mediacenter_bigscreen_settings kcms)

=== kcms/kdeconnect/CMakeLists.txt ===
include(ECMFindQmlModule)

ecm_find_qmlmodule(org.kde.plasma.core 2.0)

# KI18N Translation Domain for this library.
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_mediacenter_kdeconnect\")

########### next target ###############

set(kcm_mediacenter_kdeconnect_PART_SRCS kdeconnect.cpp)

add_library(kcm_mediacenter_kdeconnect MODULE ${kcm_mediacenter_kdeconnect_PART_SRCS})

target_link_libraries(kcm_mediacenter_kdeconnect
    KF5::I18n
    KF5::KCMUtils
    KF5::QuickAddons
)

########### install files ###############

install(TARGETS kcm_mediacenter_kdeconnect DESTINATION ${KDE_INSTALL_PLUGINDIR}/kcms)
kpackage_install_package(package kcm_mediacenter_kdeconnect kcms)

=== kcms/wifi/CMakeLists.txt ===
include(ECMFindQmlModule)
ecm_find_qmlmodule(org.kde.plasma.core 2.0)

# KI18N Translation Domain for this library.
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_mediacenter_wifi\")

########### next target ###############

set(kcm_mediacenter_wifi_PART_SRCS wifi.cpp)

add_library(kcm_mediacenter_wifi MODULE ${kcm_mediacenter_wifi_PART_SRCS})

target_link_libraries(kcm_mediacenter_wifi
    KF5::I18n
    KF5::KCMUtils
    KF5::QuickAddons
)

########### install files ###############

install(TARGETS kcm_mediacenter_wifi DESTINATION ${KDE_INSTALL_PLUGINDIR}/kcms)
kpackage_install_package(package kcm_mediacenter_wifi kcms)

=== debian/changelog ===
plasma-bigscreen (5.27.11-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * New upstream release (5.27.11).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 19 May 2024 12:23:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: plasma-bigscreen
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Scarlett Moore <sgmoore@debian.org>,
            Patrick Franz <deltaone@debian.org>,
@@ -22,14 +21,14 @@
                libkf5windowsystem-dev (>= 5.102.0~),
                pkg-kde-tools (>= 0.15.16),
                plasma-framework,
-               plasma-workspace-dev (>= 4:5.27.10~),
+               plasma-workspace-dev (>= 4:5.27.11~),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
                qtmultimedia5-dev (>= 5.15.2~),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/plasma-bigscreen
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-bigscreen
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-bigscreen
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-bigscreen
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-bigscreen.git
 Rules-Requires-Root: no
 
 Package: plasma-bigscreen

## plasma-bigscreen 6.0.0+p24.04+vunstable+git20251206.0907

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2019 Aditya Mehra <aix.m@outlook.com>
# SPDX-FileCopyrightText: 2019 Marco Martin <mart@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

# Set minimum CMake version (required for CMake 3.0 or later)
cmake_minimum_required(VERSION 3.24)

project(plasma-bigscreen)
set(PROJECT_VERSION "6.4.80")

set(QT_MIN_VERSION "6.8.0")
set(KF_MIN_VERSION "6.14.0")
set(QCORO_MIN_VERSION "0.7.0")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

# Use Extra CMake Modules (ECM) for common functionality.
# See http://api.kde.org/ecm/manual/ecm.7.html
# and http://api.kde.org/ecm/manual/ecm-kde-modules.7.html
find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_MODULE_PATH})

include(ECMFindQmlModule)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMOptionalAddSubdirectory)
include(ECMInstallIcons)
include(ECMDeprecationSettings)
include(GenerateExportHeader)
include(KDEGitCommitHooks)
include(KDEClangFormat)
include(FeatureSummary)
include(ECMQmlModule)

remove_definitions(-DQT_NO_CAST_FROM_ASCII)

find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    BluezQt
    I18n
    Kirigami
    KCMUtils
    GlobalAccel
    Notifications
    KIO
    WindowSystem
    Svg
    DBusAddons
    IconThemes
)

find_package(KF6Screen CONFIG REQUIRED)
find_package(Plasma ${PROJECT_VERSION} REQUIRED)
find_package(PlasmaActivities ${PROJECT_VERSION} REQUIRED)
find_package(PlasmaActivitiesStats ${PROJECT_VERSION} REQUIRED)

find_package(LibKWorkspace 5.19 CONFIG REQUIRED)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Quick
    Core
    Qml
    DBus
    Network
    Multimedia
    WebEngineCore
    WebEngineQuick
)
find_package(QCoro6 ${QCORO_MIN_VERSION} REQUIRED COMPONENTS Core Quick Qml)

add_definitions(-DQT_NO_FOREACH -DQT_NO_URL_CAST_FROM_STRING)
kde_enable_exceptions()
qcoro_enable_coroutines()

ecm_find_qmlmodule(org.kde.plasma.core 2.0)

ecm_set_disabled_deprecation_versions(QT 6.2.0
    KF 6.4.0
)

add_subdirectory(bin)
add_subdirectory(containments)
add_subdirectory(kcms)
add_subdirectory(components)
add_subdirectory(sounds)
add_subdirectory(envmanager)
add_subdirectory(uvcviewer)
add_subdirectory(settingsapp)
add_subdirectory(webapp-viewer)

plasma_install_package(shell org.kde.plasma.bigscreen shells)
plasma_install_package(lookandfeel org.kde.plasma.bigscreen look-and-feel lookandfeel)

install(FILES org.kde.plasma.bigscreen.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

ki18n_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== bin/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Bart Ribbers <bribbers@disroot.org>
# SPDX-FileCopyrightText: 2025 Seshan Ravikumar <seshan@sineware.ca>

# SPDX-License-Identifier: GPL-2.0-or-later

configure_file(plasma-bigscreen-wayland.in ${CMAKE_CURRENT_BINARY_DIR}/plasma-bigscreen-wayland)
install(PROGRAMS
	${CMAKE_CURRENT_BINARY_DIR}/plasma-bigscreen-wayland
	plasma-bigscreen-common-env
	plasma-bigscreen-swap-session
	DESTINATION ${KDE_INSTALL_BINDIR})

configure_file(plasma-bigscreen-wayland.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/plasma-bigscreen-wayland.desktop)
configure_file(plasma-bigscreen-swap-session.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/plasma-bigscreen-swap-session.desktop)

install(FILES
	${CMAKE_CURRENT_BINARY_DIR}/plasma-bigscreen-wayland.desktop
    DESTINATION ${KDE_INSTALL_DATADIR}/wayland-sessions
)

install(FILES
	${CMAKE_CURRENT_BINARY_DIR}/plasma-bigscreen-swap-session.desktop
	DESTINATION ${KDE_INSTALL_APPDIR}
)

=== components/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Devin Lin  <devin@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

add_subdirectory(bigscreenplugin)

=== settingsapp/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Devin Lin <devin@kde.org>
# SPDX-License-Identifier: LicenseRef-KDE-Accepted-GPL

add_executable(plasma-bigscreen-settings)

ecm_add_qml_module(plasma-bigscreen-settings
    URI
    org.kde.plasma.bigscreen.settings
)

target_sources(plasma-bigscreen-settings
    PRIVATE
    main.cpp
    kcmslistmodel.cpp
    module.cpp
    settingsapp.cpp
)

ecm_target_qml_sources(plasma-bigscreen-settings
    SOURCES
    qml/Main.qml
    qml/ConfigWindowSidebar.qml
    qml/KCMContainer.qml
)

target_link_libraries(plasma-bigscreen-settings
    PRIVATE
    Qt6::Quick
    Qt6::Qml
    Qt6::Gui
    Qt6::Widgets
    KF6::I18n
    KF6::CoreAddons
    KF6::KCMUtils
    KF6::IconThemes
    KF6::I18nQml
)

install(TARGETS plasma-bigscreen-settings ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== components/bigscreenplugin/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Marco Martin <mart@kde.org>
# SPDX-FileCopyrightText: 2025 Devin Lin <devin@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

ecm_add_qml_module(bigscreenplugin URI org.kde.bigscreen GENERATE_PLUGIN_SOURCE DEPENDENCIES QtQuick)

set(bigscreenplugin_SRCS
    global.cpp
)

target_sources(bigscreenplugin PRIVATE ${bigscreenplugin_SRCS})

# Singleton declarations
set_source_files_properties(
    qml/NavigationSoundEffects.qml
    qml/controls/Units.qml
    PROPERTIES
    QT_QML_SINGLETON_TYPE TRUE
)

ecm_target_qml_sources(bigscreenplugin SOURCES
    qml/controls/Button.qml
    qml/controls/ButtonDelegate.qml
    qml/controls/ComboBoxDelegate.qml
    qml/controls/DelegateBackground.qml
    qml/controls/Dialog.qml
    qml/controls/DialogButtonBox.qml
    qml/controls/ItemDelegate.qml
    qml/controls/OverlayWindow.qml
    qml/controls/PopupBackground.qml
    qml/controls/SidebarOverlay.qml
    qml/controls/SidebarOverlayHeader.qml
    qml/controls/SwitchDelegate.qml
    qml/controls/TextDelegate.qml
    qml/controls/TextField.qml
    qml/controls/Units.qml
    qml/AbstractDelegate.qml
    qml/FullScreenOverlay.qml
    qml/IconDelegate.qml
    qml/NavigationSoundEffects.qml
    qml/TaskDelegate.qml
    qml/TileListView.qml
    qml/TileRepeater.qml
    qml/TileView.qml
)

target_link_libraries(bigscreenplugin
    PUBLIC
        Qt::Core
    PRIVATE
        Qt::Qml
        Qt::Quick
        Qt::DBus
)

ecm_finalize_qml_module(bigscreenplugin)

=== containments/homescreen/plugin/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2019 Marco Martin <mart@kde.org>
# SPDX-FileCopyrightText: 2019 Aditya Mehra <aix.m@outlook.com>
# SPDX-License-Identifier: GPL-2.0-or-later

kde_enable_exceptions()

add_definitions(-DTRANSLATION_DOMAIN=\"biglauncherhomescreen\")

kcoreaddons_add_plugin(org.kde.bigscreen.homescreen INSTALL_NAMESPACE "plasma/applets")
target_sources(org.kde.bigscreen.homescreen PRIVATE
    biglauncherhomescreen.cpp biglauncherhomescreen.h
    biglauncher_dbus.cpp biglauncher_dbus.h
    applicationlistmodel.cpp applicationlistmodel.h
    favslistmodel.cpp favslistmodel.h
    configuration.cpp configuration.h
    shortcuts.cpp shortcuts.h
)

target_link_libraries(org.kde.bigscreen.homescreen
    Qt::Gui
    Qt::Core
    Qt::Qml
    Qt::DBus
    Qt::Network
    Qt::Quick
    Plasma::Plasma
    KF6::I18n
    KF6::Notifications
    KF6::Service
    KF6::KIOWidgets
    KF6::KCMUtilsQuick
    KF6::GlobalAccel
    Plasma::Activities
    PW::KWorkspace
    Plasma::ActivitiesStats
)

=== debian/changelog ===
plasma-bigscreen (6.0.0+p24.04+vunstable+git20251206.0907-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 09:08:00 +0000

plasma-bigscreen (6.0.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 06:57:05 +0000

plasma-bigscreen (5.27.9-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Oct 2023 15:06:56 +0000

plasma-bigscreen (5.27.8-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Sep 2023 12:14:23 +0000

plasma-bigscreen (5.27.7-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 01 Aug 2023 11:28:36 +0000

plasma-bigscreen (5.27.6-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 20 Jun 2023 16:17:00 +0000

plasma-bigscreen (5.27.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 May 2023 12:42:45 +0000

plasma-bigscreen (5.27.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 04 Apr 2023 12:39:56 +0000

plasma-bigscreen (5.27.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Mar 2023 15:21:03 +0000

plasma-bigscreen (5.27.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 28 Feb 2023 14:13:20 +0000

plasma-bigscreen (5.27.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Feb 2023 14:42:06 +0000

plasma-bigscreen (5.27.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Feb 2023 12:56:21 +0000

=== debian/control ===
Source: plasma-bigscreen
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-bluez-qt-dev,
               kf6-extra-cmake-modules,
               kf6-kcmutils-dev,
               kf6-kdeclarative-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kirigami2-dev,
               kf6-knotifications-dev,
               kf6-ksvg-dev,
               kf6-kwindowsystem-dev,
               kwayland-dev,
               libkf6screen-dev,
               libplasma-dev,
               pkg-kde-tools-neon,
               plasma-activities-dev,
               plasma-activities-stats-dev,
               plasma-workspace-dev,
               qcoro-qt6-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-multimedia-dev,
               qt6-webengine-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma/plasma-bigscreen
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/neon-packaging/plasma-bigscreen.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/plasma-bigscreen
Maintainer: Neon CI <neon@kde.org>

Package: plasma-bigscreen
Architecture: any
Depends: kdeconnect,
         libplasma6,
         plasma-nano,
         plasma-nm,
         plasma-settings,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Plasma Bigscreen Edition
 Plasma for your television

## plasma-bigscreen 6.0.0+p24.04+vunstable+git20260129.0452

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,9 +6,9 @@
 cmake_minimum_required(VERSION 3.24)
 
 project(plasma-bigscreen)
-set(PROJECT_VERSION "6.4.80")
+set(PROJECT_VERSION "6.5.80")
 
-set(QT_MIN_VERSION "6.8.0")
+set(QT_MIN_VERSION "6.10.0")
 set(KF_MIN_VERSION "6.14.0")
 set(QCORO_MIN_VERSION "0.7.0")
 
@@ -66,18 +66,27 @@
     Multimedia
     WebEngineCore
     WebEngineQuick
+    WaylandClient
 )
 find_package(QCoro6 ${QCORO_MIN_VERSION} REQUIRED COMPONENTS Core Quick Qml)
+
+find_package(PlasmaWaylandProtocols REQUIRED)
+find_package(Wayland REQUIRED COMPONENTS Client)
+
+# libcec (TV Remote support)
+pkg_check_modules(Libcec IMPORTED_TARGET libcec>=6)
+add_feature_info(Libcec Libcec_FOUND "Adds support for CEC devices (ex. TV Remotes)")
+
+# SDL3 (Game controller support)
+find_package(SDL3 REQUIRED)
+set_package_properties(SDL3 PROPERTIES
+        TYPE REQUIRED
+        PURPOSE "Required for game controller support"
+)
 
 add_definitions(-DQT_NO_FOREACH -DQT_NO_URL_CAST_FROM_STRING)
 kde_enable_exceptions()
 qcoro_enable_coroutines()
-
-ecm_find_qmlmodule(org.kde.plasma.core 2.0)
-
-ecm_set_disabled_deprecation_versions(QT 6.2.0
-    KF 6.4.0
-)
 
 add_subdirectory(bin)
 add_subdirectory(containments)
@@ -88,6 +97,8 @@
 add_subdirectory(uvcviewer)
 add_subdirectory(settingsapp)
 add_subdirectory(webapp-viewer)
+add_subdirectory(inputhandler)
+add_subdirectory(kded)
 
 plasma_install_package(shell org.kde.plasma.bigscreen shells)
 plasma_install_package(lookandfeel org.kde.plasma.bigscreen look-and-feel lookandfeel)

=== bin/CMakeLists.txt ===
--- 
+++ 
@@ -22,3 +22,8 @@
 	${CMAKE_CURRENT_BINARY_DIR}/plasma-bigscreen-swap-session.desktop
 	DESTINATION ${KDE_INSTALL_APPDIR}
 )
+
+# Dev session for Plasma developers
+configure_file(plasma-bigscreen-wayland-dev.in ${CMAKE_CURRENT_BINARY_DIR}/plasma-bigscreen-wayland-dev)
+configure_file(plasma-bigscreen-wayland-dev.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/plasma-bigscreen-wayland-dev.desktop)
+configure_file(install-sessions.sh.cmake ${CMAKE_CURRENT_BINARY_DIR}/install-sessions.sh)

=== inputhandler/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2026 Devin Lin <devin@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

add_executable(plasma-bigscreen-inputhandler)
if (Qt6_VERSION VERSION_GREATER_EQUAL "6.8.0")
    set(private_code_option  "PRIVATE_CODE")
endif()

target_sources(plasma-bigscreen-inputhandler PRIVATE
    main.cpp
    controllermanager.cpp
    xdgremotedesktopsystem.cpp
    sdlcontroller.cpp
    device.cpp
    devicewatcher.cpp
    inputhandlerdbus.cpp
)

target_link_libraries(plasma-bigscreen-inputhandler
    ${CMAKE_DL_LIBS}
    Qt::Core
    Qt::DBus
    Qt::Gui
    KF6::ConfigCore
    KF6::Notifications
    KF6::Solid
    KF6::I18n
    KF6::DBusAddons
    KF6::CoreAddons
    KF6::WindowSystem
    SDL3::SDL3
)
target_compile_definitions(plasma-bigscreen-inputhandler PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")

if (TARGET PkgConfig::Libcec)
    set(LIBCEC_SRCS
        libcec/ceccontroller.cpp
        libcec/ceccontroller.h
        libcec/cecworker.cpp
        libcec/cecworker.h
    )
    target_sources(plasma-bigscreen-inputhandler PUBLIC ${LIBCEC_SRCS})
    target_link_libraries(plasma-bigscreen-inputhandler PkgConfig::Libcec)
    add_definitions(-DHAS_LIBCEC)
endif()

install(TARGETS plasma-bigscreen-inputhandler DESTINATION ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

configure_file(org.kde.plasma.bigscreen.inputhandler.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasma.bigscreen.inputhandler.desktop @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasma.bigscreen.inputhandler.desktop DESTINATION ${KDE_INSTALL_APPDIR})

=== webapp-viewer/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Jonah Brüchert <jbb@kaidan.im>
# SPDX-FileCopyrightText: 2020 Rinigus <rinigus.git@gmail.com>
# SPDX-FileCopyrightText: 2025 Devin Lin <devin@kde.org>
# SPDX-License-Identifier: LGPL-2.0-or-later

add_executable(plasma-bigscreen-webapp
    main.cpp
    useragent.cpp
    browsermanager.cpp
    webprofile.cpp
)

ecm_add_qml_module(plasma-bigscreen-webapp-plugin URI org.kde.bigscreen.webapp.sources GENERATE_PLUGIN_SOURCE DEPENDENCIES QtQuick)

# Include qml and js files within ./qml/
file(GLOB_RECURSE _qml_sources
    "qml/*.qml"
    "qml/*.js"
)
ecm_target_qml_sources(plasma-bigscreen-webapp-plugin SOURCES ${_qml_sources})
ecm_finalize_qml_module(plasma-bigscreen-webapp-plugin)

ecm_add_qml_module(plasma-bigscreen-webapp
    GENERATE_PLUGIN_SOURCE
    URI org.kde.bigscreen.webapp
)

target_compile_definitions(plasma-bigscreen-webapp PRIVATE -DQT_NO_CAST_FROM_ASCII)
target_link_libraries(plasma-bigscreen-webapp PRIVATE
    Qt::Core
    Qt::Qml
    Qt::Quick
    Qt::Widgets
    KF6::I18n
    KF6::CoreAddons
    KF6::Notifications
)

target_link_libraries(plasma-bigscreen-webapp PRIVATE Qt::WebEngineCore Qt::WebEngineQuick)

target_include_directories(plasma-bigscreen-webapp PRIVATE ${CMAKE_BINARY_DIR})
install(TARGETS plasma-bigscreen-webapp ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== components/bigscreenshell/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2026 Devin Lin <devin@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

ecm_add_qml_module(bigscreenshell URI org.kde.bigscreen.shell GENERATE_PLUGIN_SOURCE)
target_sources(bigscreenshell PRIVATE
    bigscreenshellsettings.cpp
)

target_link_libraries(bigscreenshell PRIVATE
    Qt::Qml
    Qt::DBus
    Qt::Gui
    Qt::Quick
    KF6::Service
    KF6::Package
    KF6::KIOGui
    KF6::JobWidgets
    KF6::Screen
)

ecm_finalize_qml_module(bigscreenshell)

=== containments/homescreen/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2019 Marco Martin <mart@kde.org>
# SPDX-FileCopyrightText: 2024 Aditya Mehra <aix.m@outlook.com>
# SPDX-License-Identifier: GPL-2.0-or-later

add_subdirectory(plugin)

plasma_install_package(package org.kde.bigscreen.homescreen)

=== kcms/audio-device-chooser/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2019 Marco Martin <mart@kde.org>
# SPDX-FileCopyrightText: 2019 Aditya Mehra <aix.m@outlook.com>
# SPDX-License-Identifier: GPL-2.0-or-later

# KI18N Translation Domain for this library.
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_mediacenter_audiodevice\")

########### next target ###############
set(kcm_mediacenter_audiodevice_PART_SRCS audiodevice.cpp)

kcmutils_add_qml_kcm(kcm_mediacenter_audiodevice SOURCES ${kcm_mediacenter_audiodevice_PART_SRCS})

target_link_libraries(kcm_mediacenter_audiodevice PRIVATE
    KF6::I18n
    KF6::KCMUtilsQuick
)

=== kcms/bluetooth/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 User8395 <therealuser8395@proton.me>
# SPDX-License-Identifier: GPL-2.0-or-later

kcmutils_add_qml_kcm(kcm_mediacenter_bluetooth SOURCES
    bluetooth.cpp bluetooth.h
    devicesproxymodel.cpp devicesproxymodel.h
)

target_link_libraries(kcm_mediacenter_bluetooth
    KF6::KCMUtilsQuick
    KF6::BluezQt
)

=== kcms/display/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 Aditya Mehra <aix.m@outlook.com>
# SPDX-License-Identifier: GPL-2.0-or-later

set(displaysettings_SRCS
    displaysettings.cpp displaysettings.h
    displaymodel.cpp displaymodel.h
)

kcmutils_add_qml_kcm(kcm_mediacenter_display SOURCES ${displaysettings_SRCS})

target_link_libraries(kcm_mediacenter_display
    Qt::DBus
    Qt::Gui
    Qt::Quick
    Qt::Qml
    KF6::I18n
    KF6::KCMUtilsQuick
    KF6::Screen
)

=== kcms/wallpaper/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2019 Marco Martin <mart@kde.org>
# SPDX-FileCopyrightText: 2024 Aditya Mehra <aix.m@outlook.com>
# SPDX-License-Identifier: GPL-2.0-or-later

kcmutils_add_qml_kcm(kcm_mediacenter_wallpaper SOURCES wallpaper.cpp)
target_link_libraries(kcm_mediacenter_wallpaper
    KF6::KCMUtilsQuick
    Qt6::DBus
)

=== kcms/wifi/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2019 Marco Martin <mart@kde.org>
# SPDX-FileCopyrightText: 2024 Aditya Mehra <aix.m@outlook.com>
# SPDX-License-Identifier: GPL-2.0-or-later

kcmutils_add_qml_kcm(kcm_mediacenter_wifi SOURCES wifi.cpp)
target_link_libraries(kcm_mediacenter_wifi KF6::KCMUtilsQuick)

=== kded/start/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2026 Devin Lin <devin@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

set(kded_plasma_bigscreen_start_SRCS
    start.cpp
)

kcoreaddons_add_plugin(kded_plasma_bigscreen_start SOURCES ${kded_plasma_bigscreen_start_SRCS} INSTALL_NAMESPACE "kf6/kded")

target_link_libraries(kded_plasma_bigscreen_start PRIVATE
    Qt::Core
    KF6::DBusAddons
    KF6::KIOGui
    KF6::JobWidgets
    KF6::Package
)

=== debian/changelog ===
plasma-bigscreen (6.0.0+p24.04+vunstable+git20260129.0452-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 04:52:56 +0000

=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
                kwayland-dev,
                libkf6screen-dev,
                libplasma-dev,
+               libsdl3-dev,
                pkg-kde-tools-neon,
                plasma-activities-dev,
                plasma-activities-stats-dev,

## plasma-bigscreen 6.0.0+p24.04+vunstable+git20260130.1419

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 project(plasma-bigscreen)
 set(PROJECT_VERSION "6.5.80")
 
-set(QT_MIN_VERSION "6.10.0")
+set(QT_MIN_VERSION "6.9.0")
 set(KF_MIN_VERSION "6.14.0")
 set(QCORO_MIN_VERSION "0.7.0")

=== components/CMakeLists.txt ===
--- 
+++ 
@@ -2,3 +2,5 @@
 # SPDX-License-Identifier: GPL-2.0-or-later
 
 add_subdirectory(bigscreenplugin)
+add_subdirectory(bigscreenshell)
+add_subdirectory(controllerhandler)

=== containments/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2019 Marco Martin <mart@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

add_subdirectory(homescreen)

=== envmanager/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Devin Lin <devin@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

set(plasma-bigscreen-envmanager_SRCS
    main.cpp
    settings.cpp
    utils.cpp
    config.h
)

add_executable(plasma-bigscreen-envmanager ${plasma-bigscreen-envmanager_SRCS} ${RESOURCES})
target_link_libraries(plasma-bigscreen-envmanager
    Qt::Qml
    Qt::Gui
    Qt::Widgets
    Qt::Quick
    KF6::I18n
    KF6::ConfigCore
    KF6::ConfigGui
    KF6::CoreAddons
    KF6::DBusAddons
    KF6::Package
)

target_include_directories(plasma-bigscreen-envmanager PRIVATE ${CMAKE_BINARY_DIR})
install(TARGETS plasma-bigscreen-envmanager ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== kcms/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2019 Marco Martin <mart@kde.org>
# SPDX-FileCopyrightText: 2019 Aditya Mehra <aix.m@outlook.com>
# SPDX-License-Identifier: GPL-2.0-or-later

add_subdirectory(audio-device-chooser)
add_subdirectory(wifi)
add_subdirectory(kdeconnect)
add_subdirectory(bigscreen-settings)
add_subdirectory(display)
add_subdirectory(wallpaper)
add_subdirectory(webapps)
add_subdirectory(bluetooth)

=== kded/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2026 Devin Lin <devin@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later OR LicenseRef-KDE-Accepted-GPL

add_subdirectory(start)

=== settingsapp/CMakeLists.txt ===
--- 
+++ 
@@ -34,6 +34,8 @@
     KF6::KCMUtils
     KF6::IconThemes
     KF6::I18nQml
+    KF6::WindowSystem
+    KF6::DBusAddons
 )
 
 install(TARGETS plasma-bigscreen-settings ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== sounds/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Noah Davis <noahdvs@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

install(DIRECTORY plasma-bigscreen DESTINATION ${KDE_INSTALL_SOUNDDIR})

=== uvcviewer/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Seshan Ravikumar <seshan@sineware.ca>
# SPDX-License-Identifier: LicenseRef-KDE-Accepted-GPL

add_subdirectory(src)

install(PROGRAMS org.kde.plasma.bigscreen.uvcviewer.desktop DESTINATION ${KDE_INSTALL_APPDIR})

=== components/bigscreenplugin/CMakeLists.txt ===
--- 
+++ 
@@ -26,7 +26,6 @@
     qml/controls/Dialog.qml
     qml/controls/DialogButtonBox.qml
     qml/controls/ItemDelegate.qml
-    qml/controls/OverlayWindow.qml
     qml/controls/PopupBackground.qml
     qml/controls/SidebarOverlay.qml
     qml/controls/SidebarOverlayHeader.qml
@@ -36,12 +35,7 @@
     qml/controls/Units.qml
     qml/AbstractDelegate.qml
     qml/FullScreenOverlay.qml
-    qml/IconDelegate.qml
     qml/NavigationSoundEffects.qml
-    qml/TaskDelegate.qml
-    qml/TileListView.qml
-    qml/TileRepeater.qml
-    qml/TileView.qml
 )
 
 target_link_libraries(bigscreenplugin

=== components/controllerhandler/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2026 Devin Lin <devin@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

ecm_add_qml_module(controllerhandlerplugin URI org.kde.bigscreen.controllerhandler GENERATE_PLUGIN_SOURCE)

target_sources(controllerhandlerplugin PRIVATE
    controllerhandlerstatus.cpp
    controllerhandlerstatus.h
)

target_link_libraries(controllerhandlerplugin
    PUBLIC
        Qt::Core
    PRIVATE
        Qt::Qml
        Qt::Quick
        Qt::DBus
)

ecm_finalize_qml_module(controllerhandlerplugin)

=== kcms/bigscreen-settings/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2019 Marco Martin <mart@kde.org>
# SPDX-FileCopyrightText: 2019 Aditya Mehra <aix.m@outlook.com>
# SPDX-License-Identifier: GPL-2.0-or-later

set(bigscreensettings_SRCS
    bigscreensettings.cpp bigscreensettings.h
    globalthemelistmodel.cpp globalthemelistmodel.h
    timedated_interface.cpp timedated_interface.h
)

kcmutils_add_qml_kcm(kcm_mediacenter_bigscreen_settings SOURCES ${bigscreensettings_SRCS})

target_link_libraries(kcm_mediacenter_bigscreen_settings
    Qt::DBus
    Qt::Gui
    Qt::Quick
    Qt::Qml
    KF6::ConfigCore
    KF6::Svg
    Plasma::Plasma
    KF6::I18n
    KF6::KCMUtilsQuick
    KF6::ConfigWidgets # KColorScheme
    KF6::CoreAddons
    KF6::Package
)

=== debian/changelog ===
plasma-bigscreen (6.0.0+p24.04+vunstable+git20260130.1419-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 14:19:58 +0000
